<ngx-graph
  [view]="view"
  [links]="links"
  [nodes]="nodes"
  [layoutSettings]="layoutSettings"
  [draggingEnabled]="false"
  [autoCenter]="true"
  [autoZoom]="true"
  (select)="onNodeSelect($event)"
>
  <ng-template #defsTemplate>
    <svg:marker
      id="arrow"
      viewBox="0 -5 10 10"
      refX="8"
      refY="0"
      markerWidth="4"
      markerHeight="4"
      orient="auto"
    >
      <svg:path d="M0,-5L10,0L0,5" class="arrow-head" fill="#A7A7A7" />
    </svg:marker>
  </ng-template>

  <ng-template #nodeTemplate let-node>
    <svg
      width="200"
      height="95"
      viewBox="0 0 200 95"
      fill="none"
      class="node"
      xmlns="
http://www.w3.org/2000/svg"
    >
      <foreignObject x="0" y="0" width="180" height="85">
        <ng-container *ngIf="node">
          <div class="node">
            <div class="text">{{ node.label }}</div>
          </div>
        </ng-container>
      </foreignObject>
    </svg>
  </ng-template>

  <ng-template #linkTemplate let-link>
    <svg:g class="edge">
      <svg:path
        class="line"
        stroke-width="2"
        marker-end="url(#arrow)"
        stroke="#A7A7A7"
        [id]="link.id"
        d="M10 10"
      ></svg:path>
    </svg:g> </ng-template
></ngx-graph>
